TMySQL57Connection problem: Expected (5.7), got (6.1.11)

2 posts / 0 new
Last post
dl3dth
TMySQL57Connection problem: Expected (5.7), got (6.1.11)

Hi,

Since the last upgrade on my Gentoo system I can't use cqrlog anymore. I get the following output at the command line:

Cqrlog Ver:2.3.0 (001) Date:2018-06-17
**** DEBUG LEVEL 1 ****

SSL libraries:
/usr/lib64/libssl.so.1.0.0
/usr/lib64/libcrypto.so.1.0.0
Loading libmysqlclient: /usr/lib64/libmysqlclient.so
**************************
MySQL version: 6.1
**************************
**********************************
MySQL version assigned: 6.1
**********************************
Loaded 121329 LoTW users
Loaded 117362 eQSL users
Loaded 39622 SCP calls
*
User home directory: /home/tom/
Program home directory: /home/tom/.config/cqrlog/
Data directory: /home/tom/.config/cqrlog/database/
Memebers directory: /home/tom/.config/cqrlog/members/
ZIP code directory: /usr/share/cqrlog/zipcodes/
Binary dir: /usr/bin/
Share dir: /usr/share/cqrlog/
TConnection to MySQL: 6.1
*
56 us states loaded
/usr/sbin/mysqld --defaults-file=/home/tom/.config/cqrlog/database/mysql.cnf --datadir=/home/tom/.config/cqrlog/database/ --socket=/home/tom/.config/cqrlog/database/sock --port=64000
Trying to connect to database
2018-10-03 19:24:32 139832652863296 [Note] /usr/sbin/mysqld (mysqld 10.2.17-MariaDB) starting as process 1891 ...
TMySQL57Connection can not work with the installed MySQL client version: Expected (5.7), got (6.1.11).

I had it working during the last month with mariadb-10.1.31-r1, but this version was now removed and it is also not possible to use the "client-libs" useflag anymore. The problem seems to be related to the way how Lazarus/FPC checks for the mysqlconnector version (here: mysql-connector-c-6.1.11, which is the latest version available).
Any idea how to fix this?

Thanks and best 73,
Tom, DL3DTH

n4ogw
I have exactly the same

I have exactly the same problem- I am also using Gentoo.

Tor N4OGW